package org.josast.ModuleSatelliteDatabase;

import org.josast.AmsatList.generated.Satellites;

public class AmsatListFlat extends FlatSatellite {
	
	public AmsatListFlat (Satellites sat)
	{
		setup(sat);
	}

	private void setup(Satellites sat) {
		  satelliteName = sat.getName();
		  satelliteStatus = sat.getStatus();
		  satelliteNoradId = sat.getNasaID();
		  if(sat.getIARUCoordination() !=  null)
		  {
		  IARUCoordination = sat.getIARUCoordination().isCoordinated();
		  }
		  else {
			  IARUCoordination=false;
		  }
	}

}
